org.keycloak.representations.idm

## Class ClientInitialAccessPresentation

- java.lang.Object
- - org.keycloak.representations.idm.ClientInitialAccessPresentation

-     public class ClientInitialAccessPresentation
      extends Object

  Author:
    Stian Thorgersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientInitialAccessPresentation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `getCount()`
    `Integer` | `getExpiration()`
    `String` | `getId()`
    `Integer` | `getRemainingCount()`
    `Integer` | `getTimestamp()`
    `String` | `getToken()`
    `void` | `setCount(Integer count)`
    `void` | `setExpiration(Integer expiration)`
    `void` | `setId(String id)`
    `void` | `setRemainingCount(Integer remainingCount)`
    `void` | `setTimestamp(Integer timestamp)`
    `void` | `setToken(String token)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientInitialAccessPresentation

          public ClientInitialAccessPresentation()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getToken

          public String getToken()

    - #### setToken

          public void setToken(String token)

    - #### getTimestamp

          public Integer getTimestamp()

    - #### setTimestamp

          public void setTimestamp(Integer timestamp)

    - #### getExpiration

          public Integer getExpiration()

    - #### setExpiration

          public void setExpiration(Integer expiration)

    - #### getCount

          public Integer getCount()

    - #### setCount

          public void setCount(Integer count)

    - #### getRemainingCount

          public Integer getRemainingCount()

    - #### setRemainingCount

          public void setRemainingCount(Integer remainingCount)

Copyright © 2016 JBoss by Red Hat. All rights reserved.